apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: ingress-webapp
spec:
  tls:
    - secretName: kamala.web-deployment
      hosts:
        - kamala.web-deployment
  rules:
    - host: kamala.web-deployment
      http:
        paths:
          - path: /
            backend:
              serviceName: web-deployment
              servicePort: 8090